ubuntu/+source/python3-defaults:ubuntu/cosmic

Last commit made on 2018-06-27
Get this branch:
git clone -b ubuntu/cosmic https://git.launchpad.net/ubuntu/+source/python3-defaults
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/cosmic
Repository:
lp:ubuntu/+source/python3-defaults

Recent commits

b80e0e4... by Matthias Klose on 2018-06-27

Import patches-unapplied version 3.6.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 08eb66acfc618e9873338cd07af3a59b7c95154d

New changelog entries:
  [ Matthias Klose ]
  * Fix the idle desktop file. Closes: #901096.
  * Install the policy files in the python3 package. Closes: #901486.
  * python3-minimal: Pre-Depend on python3.6-minimal. Closes: #901001.
  * Bump version to 3.6.6.
  [ Scott Kitterman ]
  * Remove myself from uploaders

08eb66a... by Matthias Klose on 2018-06-07

Import patches-unapplied version 3.6.5-5 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 8436cb24df4bd6c62d8c0331d7e6db10b8ead856

New changelog entries:
  * Fix typo in the defaults file. Closes: #900937, #900949.

8436cb2... by Matthias Klose on 2018-06-06

Import patches-unapplied version 3.6.5-4 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: bf7043a70a4e019c2efd0d4deb66f4680a918372

New changelog entries:
  * Update Vcs attributes.
  * Add Python 3.7 to the list of supported Python3 versions.

bf7043a... by Matthias Klose on 2018-04-10

Import patches-unapplied version 3.6.5-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: da01fb8ae26a0813924fddf3c0ee5dcec7ce6ec3

New changelog entries:
  * Update valgrind support file. LP: #1513364.
  * debian/control.in (Michael Vogt):
    - add Cnf-Visible-Pkgname hint to ensure command-not-found recommends
      installing "python3" instead of "python3-minimal" when it is missing.

da01fb8... by Matthias Klose on 2018-04-02

Import patches-unapplied version 3.6.5-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 24c705a7a0d80e80a64b2a4deab2270d5f9b802b

New changelog entries:
  * Distinguish between python3.6 and python3-stdlib-extensions versions.
    Closes: #894168.
  * python3-venv: Depend on python3-distutils.

24c705a... by Matthias Klose on 2018-03-31

Import patches-unapplied version 3.6.5-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9a5de8545c7871687a18a97fec9c11f3928bfe96

New changelog entries:
  [ Matthias Klose ]
  * Bump version to 3.6.5.
  [ Michael Vogt ]
  * debian/control.in: LP: #1752415
    - add "XB-Cnf-Extra-Commands: python" to ensure command-not-found
      outputs the python3 package when searching for "python"
    - add XB-Cnf-Priority-Bonus to ensure python3 is listed on the
      top when typing "python"

9a5de85... by Matthias Klose on 2018-03-25

Import patches-unapplied version 3.6.5~rc1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0547ce7347c5e710f28c8f78961f8f5c4a571ed1

New changelog entries:
  * Bump version to 3.6.5~rc1.
  * Remove dh-python dependency from python3.
  * Add dh-python and python3-distutils dependencies to python3-all and
    python3-dev.

0547ce7... by Matthias Klose on 2017-12-29

Import patches-unapplied version 3.6.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fc30980557cfedbb1529c545ec23bbfdc9b67146

New changelog entries:
  * Bump version to 3.6.4.
  * 2to3: Depend on python3-2to3 and provide the 2to3 launcher.

fc30980... by Matthias Klose on 2017-12-15

Import patches-unapplied version 3.6.4~rc1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ff5ab721f66a738a5bac31edbcd64d2a5405880f

New changelog entries:
  * 2to3: Fix breaks/replaces relation with python. Closes: #884418.

ff5ab72... by Matthias Klose on 2017-12-13

Import patches-unapplied version 3.6.4~rc1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2c48eb1e5ab6a44c289642f0cb56c27f115eb27f

New changelog entries:
  * Bump version to 3.6.4~rc1.
  * Stop using priority extra for the -dbg packages.
  * Build a 2to3 package.